text stringlengths 1 1.05M |
|---|
"""Plot statistis about missing values from given indicators."""
import matplotlib
import seaborn as sns
import matplotlib.pyplot as plt
import pandas as pd
import numpy as np
import matplotlib.ticker as ticker
from mpl_toolkits.axes_grid1.parasite_axes import SubplotHost
# Plot functions: each indicator has a differ... |
<gh_stars>0
import { Component } from "@/models/Component";
import { Layout } from "@/models/Layout";
import { Style } from "@/models/Style";
import { Theme } from "@/models/Theme";
import AppRepository from "@/repository";
import { ObjectId } from "mongodb";
import { sampleComponents } from "./component";
import { sam... |
// Define the custom error type within the error module
mod error {
// Define the generic type for additional error information
struct Generic;
// Define the custom error type for deleting a profile object
pub struct DeleteProfileObjectError {
pub meta: Generic,
}
// Implement the cust... |
<?php
//Encryption
$salt = openssl_random_pseudo_bytes(8);
$key = openssl_random_pseudo_bytes(32);
$iv = openssl_random_pseudo_bytes(16);
$ciphertext = openssl_encrypt($plaintext, 'AES-256-CBC', $key, $options=0, $iv, $tag);
//Decryption
$originalPlaintext = openssl_decrypt($ciphertext, 'AES-256-CBC', $key, $options=... |
import collections
def most_common_letters(s):
s = s.lower()
count = collections.Counter(s)
most_common = count.most_common()
common_letters = [letter[0] for letter in most_common]
print(common_letters)
most_common_letters("hello world!")
# Output: ['l', 'o', 'e', 'h', 'd', 'r', 'w'] |
package wangmin.modbus.entity;
import com.google.common.collect.Lists;
import wangmin.modbus.util.ContinuousAddressBlock;
import wangmin.modbus.entity.type.ModbusRegisterType;
import java.util.List;
/**
* Created by wm on 2017/1/3.
* modbus 的一个slave的地址信息
*/
public class ModbusSlaveAddressInfo {
public ModbusR... |
source env.sh
for i in `seq 1 20`;
do
export OMP_NUM_THREADS=20
numactl --membind 0 --cpubind 0 ./bin/hostf 3972 192 0 $i > 3972_192_single_0.0_${i}.log
done
|
<reponame>Evangelize/classes<gh_stars>1-10
import PPTX from '../src/lib/pptx';
import fs from 'fs';
const path = process.argv[2];
const outPath = 'test-slide.json';
fs.readFile(path, (err, data) => {
if (err) throw err;
const pptx = new PPTX();
pptx.parse(data).then(
(results) => {
fs.writeFile(
... |
import android.app.SearchManager;
import android.content.Context;
import android.os.AsyncTask;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.Menu... |
import unittest
class TINCTestLoader(unittest.TestLoader):
def loadTestsFromTestCase(self, testCaseClass):
test_suite = super().loadTestsFromTestCase(testCaseClass)
return test_suite
def getTestCaseByName(self, test_case_name):
test_loader = TINCTestLoader()
test_suite = test_l... |
<filename>src/commands/commands.ts
import { Command as CommanderCommand } from 'commander';
import { CommandFeature } from './CommandFeature';
import { CommandRelease } from './CommandRelease';
import { CommandScaffold } from './CommandScaffold';
import { ActionCallback } from './type';
export class Commands {
pr... |
import React, { useState, useEffect } from "react";
import { makeStyles } from "@material-ui/core/styles";
import io from "socket.io-client";
import Paper from "@material-ui/core/Paper";
import Grid from "@material-ui/core/Grid";
import Box from "@material-ui/core/Box";
import Divider from "@material-ui/core/Divider";
... |
from django import forms
from django.forms import ModelForm
from django.contrib.auth.forms import UserCreationForm
from .models.mus_models import Song
from .models.vbt_models import Backtest
###############################################################
# MUS FORMS
class SongSearchForm(forms.Form):
title = form... |
import { Pattern } from './pattern';
/**
* Timestamp ISO 8601 validator class.
*/
export declare class Timestamp extends Pattern {
/**
* Min timestamp value.
*/
private min?;
/**
* Max timestamp value.
*/
private max?;
/**
* Determines whether the specified timestamp is th... |
<filename>BiblioSpringUrjc/src/main/java/com/BiblioSpring/controllers/ContactoController.java<gh_stars>0
package com.BiblioSpring.controllers;
import javax.annotation.PostConstruct;
import javax.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springfram... |
#!/bin/bash
git clone https://github.com/jpmeijers/RN2483-Arduino-Library.git ../libraries/RN2483-Arduino-Library/ |
/*
* Copyright (c) 2012-2015 VMware, Inc. All Rights Reserved.
*
* Licensed under the Apache License, Version 2.0 (the "License"); you may not
* use this file except in compliance with the License. You may obtain a copy
* of the License at http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by ... |
var subscribe = function () {
var submit = $('#mc-embedded-subscribe'),
input = $('#mce-EMAIL'),
$resultElement = $('#resultElement'),
$content_form = $('.content-email'),
$form = $("#mc-embedded-subscribe-form");
/*
Validar que haya correo valido
------------------------------*/
submit.on('click',... |
<gh_stars>0
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <limits.h>
//char article[20] = "<a href= \"/wiki/";
//char title[7] = "title=";
//char quote[2] = "\"";
//const char* filename = arg;
//char *ref;
//char *token1;
//char *token2;
int main(int argc, char *argv[]){
for(int i =1; i<argc;... |
#pragma once
namespace BF
{
enum class QuadTreeDirection
{
None,
NorthEast,
NorthWest,
SouthEast,
SouthWest
};
} |
<filename>src/energyplus/ForwardTranslator/ForwardTranslateHumidifierSteamGas.cpp
/***********************************************************************************************************************
* OpenStudio(R), Copyright (c) 2008-2021, Alliance for Sustainable Energy, LLC, and other contributors. All rights r... |
# Source to configure pip CI builds
# Wheelhouse for various packages missing from pypi.
EXTRA_WHEELS="https://5cf40426d9f06eb7461d-6fe47d9331aba7cd62fc36c7196769e4.ssl.cf2.rackcdn.com"
# Wheelhouse for daily builds of some packages.
PRE_WHEELS="https://7933911d6844c6c53a7d-47bd50c35cd79bd838daf386af554a83.ssl.cf2.rack... |
/**
* Copyright (c) 2008 <NAME>. All rights reserved.
*
* This file is part of XBee-API.
*
* XBee-API is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your ... |
python transformers/examples/language-modeling/run_language_modeling.py --model_name_or_path train-outputs/512+512+512-LPMI/model --tokenizer_name model-configs/1536-config --eval_data_file ../data/wikitext-103-raw/wiki.valid.raw --output_dir eval-outputs/512+512+512-LPMI/512+512+512-N-VB-first-256 --do_eval --per_devi... |
<gh_stars>0
/*
* File: HangmanCanvas.java
* ------------------------
* This file keeps track of the Hangman display.
*/
import java.applet.AudioClip;
import acm.graphics.*;
import acm.util.MediaTools;
public class HangmanCanvasExtension extends GCanvas {
private static final int HEART_WIDTH = 20;
private sta... |
package org.jfteam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
/**
* SpringBoot应用程序启动类
*/
@SpringBootApplication
pu... |
mvn -f ./pom.xml -U clean compile -DskipTests
|
course=(input())
Example=(input())
Day1=input("Started day:12.10.20")
print("Course:",course)
print("Lesson 1: Introduction")
print("Lesson 2:", Example)
print(Day1)
|
#!/usr/bin/env bash
docker run \
-u root \
--rm \
-d \
--name jenkins \
--network infrastructure-net \
-p 8081:8080 \
-p 50000:50000 \
-v $HOME/my-docker-volumes/jenkins-data:/var/jenkins_home:rw \
-v /var/run/docker.sock:/var/run/docker.sock \
jenkins/jenkins:2.121.1 |
#!/bin/bash
# init
echo
echo
echo "=============== CREATE A NEW GATEWAY INSTANCE ==============="
echo
echo
echo "ℹ️ Press [ENTER] for default values:"
echo
echo
read -p " Enter Gateway version you want to use [latest/development] (default = \"latest\") >>> " GATEWAY_TAG
if [ "$GATEWAY_TAG" == "" ]
then
GATEWAY... |
<reponame>abwah/hcsshim<gh_stars>0
package main
import (
"context"
"runtime"
"strings"
"sync"
"sync/atomic"
"github.com/Microsoft/hcsshim/internal/oc"
"github.com/Microsoft/hcsshim/internal/shimdiag"
"github.com/containerd/containerd/errdefs"
"github.com/containerd/containerd/runtime/v2/task"
google_protobu... |
import { useState, useEffect } from 'react';
const formStateMap = new Map();
const useFormStore = (formId, selector) => {
const [selectedProperty, setSelectedProperty] = useState(selector(formStateMap.get(formId)));
useEffect(() => {
const handleChange = () => {
setSelectedProperty(selector(formStateMa... |
<filename>test/factories/product/nfe/transporte/volume.rb
FactoryGirl.define do
factory :product_transporte_volume, class: BrNfe::Product::Nfe::Transporte::Volume do
quantidade 1
end
end |
<filename>MenuDuamView.java
//-------------------------------------------------------------------------------------------------------------------------------------------//
// Projeto Megasoft 1 Versão 2.0 do Sistema de Tributos Municipais com Banco de Dados: IPTU. ITBI e ISS, com implementação básica do REFIS;
// Autor... |
import requests
from bs4 import BeautifulSoup
import urllib.parse
import json
import discord
import youtube_dl
import asyncio
class YT:
def __init__(self, search_terms: str, max_results=None):
self.search_terms = search_terms
self.max_results = max_results
self.videos = self.search()
... |
#!/bin/bash
SERVER_NAME=sharding-jdbc-onlinebank-test
cd `dirname $0`
cd ..
DEPLOY_DIR=`pwd`
LOGS_DIR=${DEPLOY_DIR}/logs
if [ ! -d ${LOGS_DIR} ]; then
mkdir ${LOGS_DIR}
fi
STDOUT_FILE=${LOGS_DIR}/stdout.log
PIDS=`ps -ef | grep java | grep "$DEPLOY_DIR" | grep -v grep | awk '{print $2}'`
if [ -n "$PIDS" ]; then
... |
<filename>web/src/components/ui/TextAreaField.tsx
import { useField } from "formik";
import React, { InputHTMLAttributes } from "react";
type TextAreaFieldProps = React.DetailedHTMLProps<
React.TextareaHTMLAttributes<HTMLTextAreaElement>,
HTMLTextAreaElement
> & {
name: string;
label: string;
texta... |
#!/bin/bash
set -e -x
cd $(dirname $0)/..
wget https://nodejs.org/dist/v8.11.1/node-v8.11.1-win-x64.zip
unzip node-v8.11.1-win-x64.zip
wget https://www.sqlite.org/2019/sqlite-amalgamation-3290000.zip
unzip sqlite-amalgamation-3290000.zip
|
<reponame>kovacsandor/ReactReduxRouting
import { APIKey, Action, RootURL } from '../constants'
import Axios from 'axios'
export default function () {
const request = Axios.get(`${RootURL}/posts${APIKey}`)
return {
payload: request,
type: Action.POST_LIST_FETCH,
}
} |
<gh_stars>1-10
// Clean up tokens after emphasis and strikethrough postprocessing:
// merge adjacent text nodes into one and re-calculate all token levels
//
// This is necessary because initially emphasis delimiter markers (*, _, ~)
// are treated as their own separate text tokens. Then emphasis rule either
// leaves ... |
#!/bin/bash
cd $SCRATCH/gcncc.bioinformatics/slurm/process/
sbatch 9_selection.slurm |
#!/bin/bash -e
docker build -t sshd-service-test .
docker run --rm \
-v $PWD:/src \
sshd-service-test \
bash -c 'rspec --format documentation spec/'
|
def most_common_string(l):
freq = {}
for s in l:
if s in freq:
freq[s] += 1
else:
freq[s] = 1
max_freq = 0
most_common = None
for k, v in freq.items():
if v > max_freq:
most_common = k
max_freq = v
return most_common
l1 = [... |
#!/usr/bin/env bash
# Exit on error, unset variable, or error in pipe chain
set -o errexit -o nounset -o pipefail
# For setenforce & xfs_info
PATH=$PATH:/usr/sbin:/sbin
echo "Validating distro..."
distro="$(source /etc/os-release && echo "${ID}")"
if [[ "${distro}" == 'coreos' ]]; then
echo "Distro: CoreOS"
echo... |
def calculate_total_duration(operations):
total_duration = 0
for operation in operations:
if operation in DURATION.COUNTER:
total_duration += DURATION.COUNTER[operation]
return total_duration |
import React from 'react';
import { IconChartBar } from './icon.chartBar';
import { IconCloudDownload } from './icon.cloudDownload';
import { IconDownload } from './icon.download';
import { IconExclamation } from './icon.exclamation';
import { IconHome } from './icon.home';
import { IconLogout } from './icon.logout';
... |
#!/bin/bash
REQT_LIB=~/reqT/lib
java -jar $REQT_LIB/reqT.jar $@
|
<filename>src/main/java/ed/biodare2/backend/features/tsdata/datahandling/TSDataExporter.java
/*
* To change this license header, choose License Headers in Project Properties.
* To change this template file, choose Tools | Templates
* and open the template in the editor.
*/
package ed.biodare2.backend.features.... |
# frozen_string_literal: true
require_relative 'nonterminal_methods'
require_relative 'mixin'
require_relative 'parse_tree'
require_relative 'parse_error'
require_relative 'terminal'
require_relative 'alternation'
require_relative 'eos'
require_relative 'eol'
module Yardp
class Grammar
include ParserMixin
i... |
<reponame>ValerijusA/GildedRose<gh_stars>0
# -*- coding: utf-8 -*-
import pytest
import mock
from python.gilded_rose import Item, GildedRose
def test_item(): # line 46
items = [Item("foo", 0, 0)]
gilded_rose = GildedRose(items)
gilded_rose.update_quality()
assert ("foo" == items[0].name)
def test_... |
<reponame>Hypercubed/fantom-cat<filename>app/components/genes/genes.route.js
import controller from './genes.controller';
export default {
title: 'FANTOM CAT | Genes',
templateUrl: 'components/genes/genes.html',
controller,
controllerAs: '$ctrl',
datapackageUrl: 'components/genes/datapackage.json'
};
|
<filename>offer/src/main/java/com/java/study/answer/zuo/bbasic/class_08/Code_05_Cow.java
package com.java.study.answer.zuo.bbasic.class_08;
public class Code_05_Cow {
public static int cowNumber1(int n) {
if (n < 1) {
return 0;
}
if (n == 1 || n == 2 || n == 3) {
return n;
}
return cowNumber1(n - 1) ... |
#!/bin/bash
. ../../settings.bash
if [ "$DEFAULT_EXECMODE" = "devel" ]; then
echo "the $DEFAULT_EXECMODE has to be release in the settings.bash in order to export"
exit 1
fi
export DATE=$(date +%Y_%m_%d-%H_%M)
PROJECT_NAME_NO_SUBFOLDER=${PROJECT_NAME//\//_}
IMAGE_NAME=${RELEASE_REGISTRY:+${RELEASE_REGISTRY... |
#!/bin/sh
set -e
set -x
python tools/clean.py
cd docs
make
cd ..
rm -f m4/libtool.m4 m4/lt~obsolete.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/ltoptions.m4
chmod a-x docs/*.rst docs/*.htm* src/*.cpp include/libtorrent/*.hpp
./autotool.sh
./configure --enable-python-binding --enable-examples=yes --enable-encryption --enab... |
package com.udacity.jdnd.course3.critter.schedule;
import com.udacity.jdnd.course3.critter.pet.Pet;
import com.udacity.jdnd.course3.critter.user.Employee;
import com.udacity.jdnd.course3.critter.user.EmployeeSkill;
import javax.persistence.metamodel.ListAttribute;
import javax.persistence.metamodel.SingularAttribute;... |
#!/bin/bash
inputdir=$(dirname $1)
outputdir=$2
filename=$(basename $1 .pdb)
# Make copy of input file
cp $1 ./${filename}_t.pdb || exit 1
# Extract backbone, get_ala_backbone.pl for next script, get_seq_backbone.pl for the last
perl ./bin/get_ala_backbone.pl ${filename}_t || exit 2
perl ./bin/get_seq_backbone.pl $... |
from wordcloud import WordCloud
import matplotlib.pyplot as plt
from PIL import Image
import numpy as np
def create_wordcloud(text, image_path=None):
# Generate word cloud
wordcloud = WordCloud(width=800, height=400, background_color='white', max_words=200, colormap='viridis').generate(text)
if image_... |
/*
* Reserved.sql
* Chapter 3, Oracle10g PL/SQL Programming
* by <NAME>, <NAME>, <NAME>
*
* This script prints a list of reserved words
*/
exec clean_schema.trigs
exec clean_schema.procs
exec clean_schema.tables
SET PAGES 9999
PROMPT
PROMPT ** Reserved words **
PROMPT
COL keyword FORMAT A30
SELECT keyword, l... |
#!/usr/bin/env bash
# Copyright 2021 Hewlett Packard Enterprise Development LP
set -exo pipefail
ROOTDIR="$(dirname "${BASH_SOURCE[0]}")"
source "${ROOTDIR}/lib/version.sh"
source "${ROOTDIR}/lib/install.sh"
: "${BUILDDIR:="${ROOTDIR}/build"}"
mkdir -p "$BUILDDIR"
# Assumes site-init customizations has been proper... |
# platform = Red Hat Enterprise Linux 6
#
# Disable qpidd for all run levels
#
/sbin/chkconfig --level 0123456 qpidd off
#
# Stop qpidd if currently running
#
/sbin/service qpidd stop
|
var class_smol_dock_1_1_bond =
[
[ "BondType", "class_smol_dock_1_1_bond.html#a6cbf152f682501c998bd06a55400c9cf", [
[ "singlebond", "class_smol_dock_1_1_bond.html#a6cbf152f682501c998bd06a55400c9cfaccd9d70d0e74b128e8fdd74b302934f1", null ],
[ "doublebond", "class_smol_dock_1_1_bond.html#a6cbf152f682501c9... |
const box = require('./index');
const params = {
boltX: 70,
boltY: 50,
depth: 25,
wallThickness: 2,
bottomThickness: 2,
bodyHoleRadius: 1.5,
holeThroughBottom: true,
lidThickness: 2,
lidHoleRadius: 2,
lidInsetThickness: 1,
lidInsetClearance: .25,
maxArcFacet: .25
};
con... |
<reponame>MrBattary/ncstore-back
package com.netcracker.ncstore.dto.body;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.extern.jackson.Jacksonized;
import java.util.UUID;
/**
* DTO containing request body fo... |
// Copyright 2009 Google Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in... |
SELECT records.*, employees.name
FROM records
INNER JOIN employees ON employees.id = records.id
WHERE employees.name = "John"; |
<filename>klaytn-08-event-monitor/index.js
// const rpcURL = "https://public-node-api.klaytnapi.com/v1/cypress";
// const networkID = "8217";
const rpcURL = "https://api.baobab.klaytn.net:8651/";
const networkID = "1001";
const Caver = require("caver-js");
const caver = new Caver(rpcURL);
const CONTRACT_ABI = require... |
package gq.optimalorange.account.sample;
import gq.optimalorange.account.AuthenticationService.AuthenticateFailure;
import gq.optimalorange.account.AuthenticationService.ChangeCertificateFailure;
import gq.optimalorange.account.Identifier;
import gq.optimalorange.account.Result;
import gq.optimalorange.account.Subject... |
def fetch_evals(year, term):
# Assume the existence of a function or API to retrieve evaluation data from a remote server
# Here, we simulate the retrieval process using a placeholder function
def retrieve_evaluation_data(year, term):
# Simulated retrieval of evaluation data from a remote server
... |
import random
def scramble_list(list):
random.shuffle(list)
return list
scramble_list(list) # Output: ['g', 'h', 'f', 'e', 'b', 'a', 'c', 'd'] |
export default () => {
return {
name: 'created_at',
type: 'timestamptz',
isNullable: false,
default: 'now()'
};
};
|
<filename>bin/esprit.ts
#!/usr/bin/env node
import { createCommand } from "commander";
import { SAO } from "sao";
import { createAddCommand } from "../commands/add";
import { createGenerateCommand } from "../commands/generate";
import { createMigrationCommand } from "../commands/migration";
import { createOpenapiComman... |
from flask import Flask, render_template
app = Flask(__name__)
# Data
temperatures = [20,22,21,19,20,24,26]
years = [2018,2019]
@app.route('/')
def display_chart():
# render web page with chart
return render_template('chart.html', temperatures=temperatures, years=years)
if __name__ == '__main__':
app.run() |
const add = (a: number, b: number): number => {
return a + b;
};
//wrong : without a return annotation, typescript will not notice the fault
//thats why even typescirpt can interfer return type of function
//a better practice is to add the annotation
const subtract = (a: number, b: number) => {
a - b;
};
// other ... |
function hasArrayTwoCandidates(arr, k){
let object = {};
for(let i=0; i<arr.length; i++){
let temp = k - arr[i];
if(temp in object){
return true;
}
object[arr[i]] = true;
}
return false;
}
console.log(hasArrayTwoCandidates(arr, k)); |
<gh_stars>0
(function ($) {
"use strict";
var init = function (selectTarget, options) {
var settings = $.extend({
url: "setOptions.php"
}, options),
value = $(selectTarget).next().find("input").val(),
tableName;
if (valu... |
#!/bin/bash
sudo python /home/ozymandias/proj_code/code/xmlrpc_server.py & |
package com.sanctionco.opconnect.model;
import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.assertAll;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;
class FieldTest {
@Test
void shouldBuildUsername() {
Fi... |
import paddle
import paddle.nn as nn
import numpy as np
from paddle.fluid.initializer import Initializer
class SInitializer(Initializer):
def __init__(self, local_init=True, gamma=None):
self.local_init = local_init
self.gamma = gamma
def __call__(self, m):
if isinstance(m, (nn.Batc... |
<reponame>harshitKyal/ngx-wireframe
import { Component, OnInit, Input } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { position } from 'html2canvas/dist/types/css/property-descriptors/position';
@Component({
selector: 'ngx-add-step',
templateUrl: './add-step.component.h... |
<reponame>v0ldemar01/thread-app<filename>server/src/comment-reaction/comment-reaction.module.ts
import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CommentReactionService } from './comment-reaction.service';
import { CommentReactionController } from './comment-reaction.con... |
<reponame>azjezz/waffle<filename>src/Waffle/Config/Provider/IniFileProvider.hh
<?hh // strict
namespace Waffle\Config\Provider;
use type Generator;
use function parse_ini_file;
use const INI_SCANNER_NORMAL;
class IniFileProvider extends MultipleResourcesProvider
{
use GlobTrait;
public function __construct(... |
@app.route('/add', methods=['POST'])
def add():
# get data from the request
data = request.get_json(force=True)
# Add the two numbers
result = int(data['a']) + int(data['b'])
# return the result in JSON format
return jsonify({'result': result}) |
#!/usr/bin/env bash
set -euo pipefail; [[ -z ${TRACE:-} ]] || set -x
systemctl is-enabled inspeqtor && false
systemctl enable inspeqtor && systemctl start inspeqtor
goss -g - validate --format documentation <<-EOF
service:
inspeqtor:
enabled: true
running: true
process:
inspeqtor:
running: tr... |
<gh_stars>0
wordList = ['quail']
def isValidWord(word, hand, wordList):
"""
Returns True if word is in the wordList and is entirely
composed of letters in the hand. Otherwise, returns False.
Does not mutate hand or wordList.
word: string
hand: dictionary (string -> int)
wordList: list of l... |
<filename>js/controller/ScriptTableController.js
const ScriptTableController = (function() {
// Message listener
function onMessage(e) {
var scriptId = 0;
var action = '';
var scriptRow = null;
if (e.source === window) {
scriptId = e.data['scriptId'];
action = e.data['action'];
if (Number.isInt... |
package com.yunusseker.mvvmarchitecture.ui.detail;
/**
* Created by yunus.seker on 12.4.2018
*/
public class MainDetailViewModel {
}
|
/* @flow */
import MaterialUI from './test-functions/MaterialUI';
import MaterialUITable from './test-functions/MaterialUITable';
import ChangeLanguage from './test-functions/ChangeLanguage';
import FunctionComponent from './test-functions/FunctionComponent';
import AntDesignUI from './test-functions/AntDesignUI';
imp... |
#!/bin/sh
rm -rf Tables Columns Indexes tbl* sizes_file rids_file *.op *.pp
|
import React, { useState } from 'react';
import Tilt from '../../src';
import './TiltDisableAxis.storytab.scss';
const TiltDisableAxis = () => {
const [axisEnabled, toggleAxis] = useState('x');
return (
<Tilt tiltAxis={axisEnabled}>
<div className="tilt-disable-axis">
<div className="header">
... |
<reponame>MrHadess/controltool2<gh_stars>0
package com.mh.controltool2.config;
import com.mh.controltool2.exceptions.BeanFactoryException;
import com.mh.controltool2.util.Assert;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
public class BeanRegistry {
private static final String PACKAGE_... |
export PYTHONPATH=$PYTHONPATH:`pwd`
python -u $@
|
#!/bin/bash
set -euo pipefail
IFS=$'\n\t'
# A list of paths to the crate to be published.
# It will be published in the order listed.
MEMBERS=(
"arci"
"openrr-sleep"
"openrr-planner"
"openrr-config"
# depend on arci
"openrr-plugin"
"openrr-remote"
# depend on arci and openrr-planner
"openrr-client... |
public class Student {
private String name;
private int age;
private double gpa;
public Student(String name, int age, double gpa) {
this.name = name;
this.age = age;
this.gpa = gpa;
}
// getters and setters
// ...
} |
import Queue from "../../src";
export function doQueue(done) {
let tags: string[] = [];
let queue = new Queue();
queue.push(() => {
return Promise.resolve(tags.push("one"));
});
queue.push(() => {
return new Promise((done, error) => {
setTimeout(() => {
ta... |
public static void sendMails(String[] messages) {
for (String message : messages) {
String[] words = message.split("\\s+");
String recipient = words[1].replaceAll("[, . :]", "");
sendMail(recipient, message);
}
}
public static void sendMail(String recipient, String message) {
// ... |
<reponame>ylleonv/pack
// #include "binomial.h"
// using namespace std;
// using namespace Rcpp ;
//
// FisherScoring::FisherScoring(void) {
// Rcpp::Rcout << "FisherScoring is being created" << std::endl;
// }
//
// Eigen::MatrixXd FisherScoring::GLMm(Eigen::MatrixXd X_M, Eigen::VectorXd Y_M, std::string link){
// ... |
import genomicsdb
def query_genomicsdb(workspace, callset_json, vid_json, fasta_gz, attributes, batch_size):
try:
genomicsdb.version()
gdb = genomicsdb.connect(workspace, callset_json, vid_json, fasta_gz, attributes, batch_size)
gdb.query_variant_calls()
except Exception as e:
p... |
#!/bin/bash
set -eu
source ./env.sh
docker run --interactive --tty --rm \
--env MQTT_SERVER_URL \
--volume $(pwd):/workspace \
${IMAGE_NAME} \
/bin/bash
|
<reponame>carlesaraguz/abs-software
package abs.com.test.appmodule;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import java.uti... |
const webpack = require('webpack');
const path = require('path');
const DashboardPlugin = require('webpack-dashboard/plugin');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const ExtractTextPlugin = require('extract-text-webpack-plugin');
const SpritePlugin = require('svg-sprite-loader/plugin');
const auto... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.